[arch-commits] Commit in python-networkx/repos/community-any (3 files)

Felix Yan fyan at archlinux.org
Sun Sep 21 05:17:05 UTC 2014


    Date: Sunday, September 21, 2014 @ 07:17:05
  Author: fyan
Revision: 119347

archrelease: copy trunk to community-any

Added:
  python-networkx/repos/community-any/PKGBUILD
    (from rev 119346, python-networkx/trunk/PKGBUILD)
Deleted:
  python-networkx/repos/community-any/PKGBUILD
  python-networkx/repos/community-any/python-3.4.patch

------------------+
 PKGBUILD         |  130 ++++++++++++++++++++++++++---------------------------
 python-3.4.patch |   24 ---------
 2 files changed, 65 insertions(+), 89 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2014-09-21 05:16:45 UTC (rev 119346)
+++ PKGBUILD	2014-09-21 05:17:05 UTC (rev 119347)
@@ -1,65 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at gmail.com>
-# Contributor: Clément DEMOULINS <clement at archivel.fr>
-
-pkgbase=python-networkx
-pkgname=(python-networkx python2-networkx)
-_pypiname=networkx
-pkgver=1.9
-pkgrel=1
-pkgdesc='Python package for the creation, manipulation, and study of the structure, dynamics, and functions of complex networks.'
-arch=('any')
-license=('BSD')
-url="http://networkx.github.io"
-makedepends=('python-setuptools' 'python2-setuptools' 'python-decorator' 'python2-decorator')
-checkdepends=('python-nose' 'python2-nose')
-source=("https://github.com/networkx/networkx/archive/${_pypiname}-${pkgver}.tar.gz")
-md5sums=('8eebdcc1b4091af9b806b9f4c887ff55')
-
-prepare() {
-  cp -r ${_pypiname}-${_pypiname}-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver"
-  python3 setup.py build
-
-  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver-py2"
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver"
-  python3 setup.py nosetests #|| true  # Tests fail randomly
-
-  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver-py2"
-  python2 setup.py nosetests
-}
-
-package_python-networkx() {
-  depends=('python-decorator')
-  optdepends=('python-numpy: Provides sparse matrix representation of graphs and many numerical scientific tools.'
-              'python-scipy: Provides flexible drawing of graphs.'
-              'python-pyparsing: Required for pydot, GML file reading.'
-              'python-yaml: Required for YAML format reading and writing.')
-
-  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver"
-  python3 setup.py install --root="$pkgdir" --optimize=1
-  install -D -m 644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE.txt"
-  mv "$pkgdir/usr/share/doc/${_pypiname}-$pkgver" "$pkgdir/usr/share/doc/$pkgname"
-}
-
-package_python2-networkx() {
-  depends=('python2-decorator')
-  optdepends=('python2-numpy: Provides sparse matrix representation of graphs and many numerical scientific tools.'
-              'python2-scipy: Provides flexible drawing of graphs.'
-              'python2-pygraphviz: Provides graph drawing and graph layout algorithms.'
-              'python2-pydot: Provides graph drawing and graph layout algorithms.'
-              'python2-pyparsing: Required for pydot, GML file reading.'
-              'python2-yaml: Required for YAML format reading and writing.')
-
-  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver-py2"
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -D -m 644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE.txt"
-  mv "$pkgdir/usr/share/doc/${_pypiname}-$pkgver" "$pkgdir/usr/share/doc/$pkgname"
-}

Copied: python-networkx/repos/community-any/PKGBUILD (from rev 119346, python-networkx/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2014-09-21 05:17:05 UTC (rev 119347)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Clément DEMOULINS <clement at archivel.fr>
+
+pkgbase=python-networkx
+pkgname=(python-networkx python2-networkx)
+_pypiname=networkx
+pkgver=1.9.1
+pkgrel=1
+pkgdesc='Python package for the creation, manipulation, and study of the structure, dynamics, and functions of complex networks.'
+arch=('any')
+license=('BSD')
+url="http://networkx.github.io"
+makedepends=('python-setuptools' 'python2-setuptools' 'python-decorator' 'python2-decorator')
+checkdepends=('python-nose' 'python2-nose')
+source=("https://github.com/networkx/networkx/archive/${_pypiname}-${pkgver}.tar.gz")
+sha512sums=('e1b617da71645ecb2427f4e414e2d6e7052f25279ea04d890968d7dadf63526a6989b07759abc2bf29748c8868cdcc875b76c083c3710f8d331ceb109cdfbed5')
+
+prepare() {
+  cp -r ${_pypiname}-${_pypiname}-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver"
+  python3 setup.py build
+
+  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver-py2"
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver"
+  python3 setup.py nosetests #|| true  # Tests fail randomly
+
+  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver-py2"
+  python2 setup.py nosetests
+}
+
+package_python-networkx() {
+  depends=('python-decorator')
+  optdepends=('python-numpy: Provides sparse matrix representation of graphs and many numerical scientific tools.'
+              'python-scipy: Provides flexible drawing of graphs.'
+              'python-pyparsing: Required for pydot, GML file reading.'
+              'python-yaml: Required for YAML format reading and writing.')
+
+  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver"
+  python3 setup.py install --root="$pkgdir" --optimize=1
+  install -D -m 644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE.txt"
+  mv "$pkgdir/usr/share/doc/${_pypiname}-$pkgver" "$pkgdir/usr/share/doc/$pkgname"
+}
+
+package_python2-networkx() {
+  depends=('python2-decorator')
+  optdepends=('python2-numpy: Provides sparse matrix representation of graphs and many numerical scientific tools.'
+              'python2-scipy: Provides flexible drawing of graphs.'
+              'python2-pygraphviz: Provides graph drawing and graph layout algorithms.'
+              'python2-pydot: Provides graph drawing and graph layout algorithms.'
+              'python2-pyparsing: Required for pydot, GML file reading.'
+              'python2-yaml: Required for YAML format reading and writing.')
+
+  cd "$srcdir/${_pypiname}-${_pypiname}-$pkgver-py2"
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -D -m 644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE.txt"
+  mv "$pkgdir/usr/share/doc/${_pypiname}-$pkgver" "$pkgdir/usr/share/doc/$pkgname"
+}

Deleted: python-3.4.patch
===================================================================
--- python-3.4.patch	2014-09-21 05:16:45 UTC (rev 119346)
+++ python-3.4.patch	2014-09-21 05:17:05 UTC (rev 119347)
@@ -1,24 +0,0 @@
-Description: Backport python3 fixes.
-Author: Chuck Short <zulcss at ubuntu.com>
-Forwarded: Not needed
-diff -Naurp networkx-1.8.1.orig/networkx/readwrite/nx_shp.py networkx-1.8.1/networkx/readwrite/nx_shp.py
---- networkx-1.8.1.orig/networkx/readwrite/nx_shp.py	2013-08-04 09:53:31.000000000 -0400
-+++ networkx-1.8.1/networkx/readwrite/nx_shp.py	2014-01-27 10:57:47.015239061 -0500
-@@ -154,7 +154,7 @@ def write_shp(G, outdir):
-         feature.SetGeometry(g)
-         if attributes != None:
-             # Loop through attributes, assigning data to each field
--            for field, data in attributes.iteritems():
-+            for field, data in attributes.iter():
-                 feature.SetField(field, data)
-         lyr.CreateFeature(feature)
-         feature.Destroy()
-@@ -189,7 +189,7 @@ def write_shp(G, outdir):
-         data = G.get_edge_data(*e)
-         g = netgeometry(e, data)
-         # Loop through attribute data in edges
--        for key, data in e[2].iteritems():
-+        for key, data in e[2].iter():
-             # Reject spatial data not required for attribute table
-             if (key != 'Json' and key != 'Wkt' and key != 'Wkb'
-                 and key != 'ShpName'):




More information about the arch-commits mailing list